dpkg-statoverride(8)

NAMN
dpkg-statoverride - överstyr ägarskap och läge för filer

SYNOPS
dpkg-statoverride [flagga...] åtgärd

BESKRIVNING
"stat-överstyrningar" är ett sätt att tala om för dpkg(1) att en annan ägare eller ett annat läge skall användas för en fil är ett paket installeras. (Observera att ordet "fil" används här, men att det kan vara alla sorters filsystemsobjekt som hanteras av dpkg, till exempel kataloger, enheter osv.). Detta kan användas för att tvinga program som normalt är setuid att installeras som en setuid-flagga, eller bara exekverbar av en specifik grupp.

dpkg-statoverride är ett verktyg för att hantera listan över stat-överstyrningar. Det har tre grundläggande funktioner: lägga till, ta bort och visa överstyrningar.

KOMMANDON

--add användare grupp läge fil
    Lägg till en överstyrning för fil. Fil behöver inte existera när kommandot körs; överstyrningen kommer lagras och användas senare. Användare och grupper kan anges med namn (till exempel root eller nobody), eller med deras nummer med ett "#" (till exempel #0 eller #65534). Läge måste anges oktalt. Om --update anges och fil existerar kommer den omedelbart att sättas till den nya användaren och läget.

--remove fil
    Ta bort en överstyrning för fil, status för fil ändras inte av detta kommando.

--list [filnamnssökmönster]
    Visa alla överstyrningar. Om ett sökmönster anges kommer utdata att begränsas till överstyrningar som motsvarar mönstret. Om det inte finns några överstyrningar, eller inga motsvarar mönstret, kommer dpkg-statoverride avslutas med statuskod 1.

--help
    Visar hjälpskärm och avslutar.

--version
    Visar version och avslutar.

FLAGGOR

--admindir katalog
    Ändra katalog för dpkg-databasen där statoverride-filen också lagras. Förval är /var/lib/dpkg.

--force
    Tvinga ett kommando, även om en säkerhetskontroll annars skulle förhindra det. Detta behövs för att överstyra en befintlig överstyrning.

--update
    Försök att omedelbart ändra filen·om·den·finns till den nya ägaren och läget.

--quiet
    Var mindre pratsom om vad som görs.

MILJÖVARIABLER

DPKG_ADMINDIR
    Om satt, och flaggan --admindir inte har angivits, används värdet som datakatalog för dpkg.

FILER

/var/lib/dpkg/statoverride
    Fil som innehåller den aktuella listan över statöverstyrningar på systemet. Den finns i dpkg:s administrationskatalog, tillsammans med andra filer som är viktiga för dpkg, som "status" och "available".
    Observera: dpkg-statoverride bevarar den gamla upplagan av filen, med tillägget "-old" innan den ersätts med den nya.

SE ÄVEN
dpkg(1).

FÖRFATTARE
Upphovsrättsskyddat © 2000 Wichert Akkerman

Detta är fri programvara; se GNU General Public License version 2 eller senare för kopieringsvillkor. Det finns INGEN GARANTI.

ÖVERSÄTTNING
Peter Krefting och Daniel Nylander.